#ifndef IMAGEMANAGER_H
#define IMAGEMANAGER_H

#include <QObject>
#include <QImage>
#include <QVariant>
#include <QList>

#include <memory>

class QVariant;
class QImage;


class ImageManager : public QObject
{
    Q_OBJECT

public:
    explicit ImageManager(QObject *parent = nullptr);

    Q_INVOKABLE void get(QVariant image);
    Q_INVOKABLE void saveAll() const;

private:

    std::unique_ptr<QList<QImage>> screens;

    int imagesCount;

    QString imagesFolder;


signals:
    void imagesSaved();

};

#endif // IMAGEMANAGER_H
